PHP 7 Compatibility Issues

Hi,

We're testing Snapshot with our new installation running PHP 7 but are seeing a large volumes of errors specific to PHP 7.

Can the plugin developer take a look and maybe comment on when the plugin with be PHP 7 ready ?

Thanks

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/View/Form/Recovery.php
-------------------------------------------------------------------------------------------------------------------------------------------
FOUND 7 ERRORS AFFECTING 7 LINES
-------------------------------------------------------------------------------------------------------------------------------------------
598 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
603 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
607 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
609 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
662 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
672 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
712 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
-------------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Helper/Recovery.php
-------------------------------------------------------------------------------------------------------------------------------------------
FOUND 14 ERRORS AFFECTING 14 LINES
-------------------------------------------------------------------------------------------------------------------------------------------
384 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
386 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
388 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
390 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
393 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
536 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
537 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
542 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
543 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
558 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
563 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
585 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
590 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
597 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
-------------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Database.php
------------------------------------------------------------------------------------------------------------------------------------------
FOUND 5 ERRORS AFFECTING 5 LINES
------------------------------------------------------------------------------------------------------------------------------------------
43 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
51 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
60 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
63 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
69 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
------------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/aws/AWSSDKforPHP/lib/requestcore/requestcore.class.php
--------------------------------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
--------------------------------------------------------------------------------------------------------------------------------------------------------
660 | ERROR | INI directive 'safe_mode' is deprecated from PHP 5.3 and forbidden from PHP 5.4.
--------------------------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Net/SSH1.php
---------------------------------------------------------------------------------------------------------------------------------
FOUND 2 ERRORS AFFECTING 2 LINES
---------------------------------------------------------------------------------------------------------------------------------
1286 | ERROR | preg_replace() - /e modifier is forbidden in PHP 7.0
1403 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
---------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Net/SFTP.php
---------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
---------------------------------------------------------------------------------------------------------------------------------
1604 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
---------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Net/SSH2.php
---------------------------------------------------------------------------------------------------------------------------------
FOUND 2 ERRORS AFFECTING 2 LINES
---------------------------------------------------------------------------------------------------------------------------------
2376 | ERROR | preg_replace() - /e modifier is forbidden in PHP 7.0
2547 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
---------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Crypt/AES.php
----------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
----------------------------------------------------------------------------------------------------------------------------------
551 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
----------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Crypt/Hash.php
-----------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
-----------------------------------------------------------------------------------------------------------------------------------
818 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
-----------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Crypt/DES.php
----------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
----------------------------------------------------------------------------------------------------------------------------------
1236 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
----------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Crypt/Rijndael.php
---------------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
---------------------------------------------------------------------------------------------------------------------------------------
1415 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
---------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Crypt/RC4.php
----------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
----------------------------------------------------------------------------------------------------------------------------------
483 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
----------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Crypt/RSA.php
----------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
----------------------------------------------------------------------------------------------------------------------------------
2342 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
----------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Crypt/TripleDES.php
----------------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
----------------------------------------------------------------------------------------------------------------------------------------
1000 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
----------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/ftp/phpseclib0.2.2/Math/BigInteger.php
----------------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
----------------------------------------------------------------------------------------------------------------------------------------
3546 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
----------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/dropbox/includes/PEAR_Includes/Net/URL2.php
---------------------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
---------------------------------------------------------------------------------------------------------------------------------------------
663 | ERROR | preg_replace() - /e modifier is forbidden in PHP 7.0
---------------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/dropbox/includes/PEAR_Includes/HTTP/Request2.php
--------------------------------------------------------------------------------------------------------------------------------------------------
FOUND 2 ERRORS AFFECTING 2 LINES
--------------------------------------------------------------------------------------------------------------------------------------------------
913 | ERROR | The use of function set_magic_quotes_runtime is discouraged from PHP version 5.3 and forbidden from PHP version 7.0
928 | ERROR | The use of function set_magic_quotes_runtime is discouraged from PHP version 5.3 and forbidden from PHP version 7.0
--------------------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/www/wp-content/plugins/snapshot/lib/Snapshot/Model/Destination/dropbox/includes/Dropbox/OAuth/Curl.php
-----------------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
-----------------------------------------------------------------------------------------------------------------------------------------
96 | ERROR | INI directive 'safe_mode' is deprecated from PHP 5.3 and forbidden from PHP 5.4.
-----------------------------------------------------------------------------------------------------------------------------------------